Bug 2249944 (CVE-2023-44443)

Summary: CVE-2023-44443 gimp: psp integer overflow RCE
Product: [Other] Security Response Reporter: Nick Tait <ntait>
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: NEW --- QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedKeywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: GIMP 2.10.36 Doc Type: If docs needed, set a value
Doc Text:
A parsing vulnerability was found in the GNU Image Manipulation Program (GIMP). This flaw allows an unauthenticated, remote attacker to trick a GIMP user into opening a malicious PSP file, possibly enabling the execution of unauthorized code within the GIMP process.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2249945    
Bug Blocks: 2249924    

Description Nick Tait 2023-11-16 00:47:59 UTC
from the ZDI report:
'''
This vulnerability allows remote attackers to execute arbitrary code on affected installations of GIMP. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the parsing of PSP files. The issue results from the lack of proper validation of user-supplied data, which can result in an integer overflow before writing to memory. An attacker can leverage this vulnerability to execute code in the context of the current process.
'''

Comment 1 Nick Tait 2023-11-16 00:48:15 UTC
Created gimp tracking bugs for this issue:

Affects: fedora-all [bug 2249945]

Comment 4 errata-xmlrpc 2024-02-05 11:29:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:0675 https://access.redhat.com/errata/RHSA-2024:0675

Comment 5 errata-xmlrpc 2024-02-06 10:14:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.2 Extended Update Support

Via RHSA-2024:0702 https://access.redhat.com/errata/RHSA-2024:0702

Comment 6 errata-xmlrpc 2024-02-07 13:31:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2024:0716 https://access.redhat.com/errata/RHSA-2024:0716